Package org.springframework.beans.factory.aot

# Class AotException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.beans.factory.aot.AotException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AotProcessingException`

public abstract class AotException extends RuntimeException
Abstract superclass for all exceptions thrown by ahead-of-time processing.

Since:
  6.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AotException(String msg, Throwable cause)`
Create an instance with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AotException

protected AotException(@Nullable String msg, @Nullable Throwable cause)
Create an instance with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause